<template>
	<!-- 我要跟拍 -->
	<view class="following">
		<navbar title="我要跟拍" leftClick @leftClick="$utils.navigateBack" />
		<view class="following-top-img">
			<uv-swiper
			:list="banner.follow" 
			indicator
			height="420rpx"
			keyName="imageContent"></uv-swiper>
		</view>
		<cardList :type="2" ref="cardList"/>
		<tabber/>
	</view>
</template>

<script>
	import { mapState } from 'vuex'
	import cardList from '../components/list/cardList.vue'
	export default {
		components: {
			cardList
		},
		data() {
			return {

			}
		},
		computed : {
			...mapState(['banner']),
		},
		onShow() {
			this.$refs.cardList.getList()
		},
		onPullDownRefresh(){
			this.$refs.cardList.getList()
		},
		//滚动到屏幕底部
		onReachBottom() {
			this.$refs.videoList.loadMoreList()
		},
		methods: {

		}
	}
</script>

<style scoped lang="scss">
	.following {
		.following-top-img {

		}
	}
</style>